GET /data/v1/dimensions/{DIMENSION_ID}

mux.com

Summary: Lists the values for a specific dimension
Operation ID: list-dimension-values
Auth: unknown
Description

Lists the values for a dimension along with a total count of related views. Note: This API replaces the list-filter-values API call.

Parameters (5)

DIMENSION_ID (string, path, required)

ID of the Dimension

filters[] (array, query, optional)

Limit the results to rows that match conditions from provided key:value pairs. Must be provided as an array query string parameter. To exclude rows that match a certain condition, prepend a `!` character to the dimension. Possible filter names are the same as returned by the List Filters endpoint. Example: * `filters[]=operating_system:windows&filters[]=!country:US`

limit (integer, query, optional, default: 25)

Number of items to include in the response

page (integer, query, optional, default: 1)

Offset by this many pages, of the size of `limit`

timeframe[] (array, query, optional)

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=). Accepted formats are... * array of epoch timestamps e.g. `timeframe[]=1498867200&timeframe[]=1498953600` * duration string e.g. `timeframe[]=24:hours or timeframe[]=7:days`

No probe data for this endpoint yet.